Bug 838709 - flickcurl version 1.22 is available , and could be compile against raptor2
flickcurl version 1.22 is available , and could be compile against raptor2
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: flickcurl (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 18:01 EDT by Sergio Monteiro Basto
Modified: 2012-07-11 17:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-11 17:07:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
flickcurl.spec.patch (1006 bytes, patch)
2012-07-09 18:01 EDT, Sergio Monteiro Basto
no flags Details | Diff

  None (edit)
Description Sergio Monteiro Basto 2012-07-09 18:01:11 EDT
Created attachment 597158 [details]
flickcurl.spec.patch

Description of problem:

from
http://lists.fedoraproject.org/pipermail/devel/2012-June/168262.html
"So can we get flickcurl and (lib)rawstudio ported to raptor2? I think
raptor 1 needs to be retired sooner or later."

on 
http://lists.fedoraproject.org/pipermail/devel/2012-July/169570.html
 raptor 1 is scheduled to be retired so we need update flickcurl in first place. 



flickcurl-1.22 builds without problem against raptor 2 . 
I send to you flickcurl.spec.patch , which I test it.
Comment 1 Rakesh Pandit 2012-07-10 14:20:47 EDT
Right now I wouldn't be able to push update. I don't have a personal laptop/desktop. Using a friends Windows box.

Will ask around for a proven packager to push an update here. In case you already are a package maintainer and would like to push an update go ahead and do.

Ask for permissions on pkgdb and I will approve.

Regards,
Comment 2 Rakesh Pandit 2012-07-10 14:38:40 EDT
Came to know that rawstudio, libwawstudio, darktable depend on flickcurl library. I will check what they consume and what got changed between 1.18 to 1.22.

In case you can look at it that would be great. Me being on windows box, it is difficult task for me.

Regards,
Comment 3 Rakesh Pandit 2012-07-10 14:47:26 EDT
Pushing this for rawhide is fine. But for other release I will need to dig deep. We may need to backport patch.

In the meantime I will check whether someone can help me here, because I don't seem to have resources to dig deep.

Regards,
Comment 4 Sergio Monteiro Basto 2012-07-10 14:57:32 EDT
yes is to push just in rawhide and to recompile rawstudio with it
Comment 5 Rakesh Pandit 2012-07-10 15:12:49 EDT
Jason L Tibbitts helped me push an update for rawhide. Do you have packager permission to rebuild dependencies, if any, tomorrow ?

If no, ping me here and I will see if I can get a helping hand for that.

Regards,
Comment 6 Sergio Monteiro Basto 2012-07-10 21:19:10 EDT
(In reply to comment #5)
> Jason L Tibbitts helped me push an update for rawhide.

Cool!

> Do you have packager
> permission to rebuild dependencies, if any, tomorrow ?
> 

no, but I will mail to devel Mailing List, in thread http://lists.fedoraproject.org/pipermail/devel/2012-July/169646.html


> If no, ping me here and I will see if I can get a helping hand for that.

we may close this ticket . 

Thanks,
Comment 7 Sergio Monteiro Basto 2012-07-11 17:07:03 EDT
Gianluca Sforna wrote that rebuild rawstudio, so closing . 

Many thanks,

Note You need to log in before you can comment on or make changes to this bug.